Name: kiran-flameshot
Version: 2.2.4
Release: 2%{?dist}

# Main code: GPLv3
# Logo: Free Art License v1.3
# Button icons: Apache License 2.0
# capture/capturewidget.cpp and capture/capturewidget.h: GPLv2
# regiongrabber.cpp: LGPL
# Qt-Color-Widgets: LGPL/GPL
# More information: https://github.com/lupoDharkael/flameshot#license
License: GPL-3.0-only
Summary: Powerful and simple to use screenshot software

URL: https://github.com/lupoDharkael/flameshot
Source0: %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch0000:    0000-fix-Specify-trayicon-as-the-icon-in-the-resource-fil.patch

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Svg)

BuildRequires: desktop-file-utils
BuildRequires: libappstream-glib
BuildRequires: qt5-linguist
BuildRequires: gcc-c++
BuildRequires: gcc
BuildRequires: kiran-log-qt5-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: kiran-qt5-integration-devel

Requires: kiran-qt5-integration
Requires: kiran-log-qt5
Requires: hicolor-icon-theme
Requires: qt5-qtsvg%{?_isa}

Requires: marco >= 1.22.2-1

%description
Powerful and simple to use screenshot software with built-in
editor with advanced features.


%prep
%autosetup -p1
mkdir %{_target_platform}

%build
pushd %{_target_platform}
    %qmake_qt5 PREFIX=%{_prefix} CONFIG+=packaging ..
popd

%make_build -C %{_target_platform}

%install
%make_install INSTALL_ROOT=%{buildroot} -C %{_target_platform}
%find_lang Internationalization --with-qt

%check
appstream-util validate-relax --nonet "%{buildroot}%{_datadir}/metainfo/%{name}.appdata.xml"
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f Internationalization.lang
%doc README.md
%license LICENSE img/app/flameshotLogoLicense.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/hicolor/*/apps/*.*

%changelog
* Apr Mon 15 2024 youzhengcai <youzhengcai@kylinsec.om.cn> - 2.2.4-2
- KYOS-F: Specify trayicon as the icon in the resource file. (#35052)

* Fri Nov 24 2023 luoqing <luoqing@kylinsec.om.cn> - 2.2.4-1
- rebuild

* Thu Nov 23 2023 luoqing <luoqing@kylinsec.om.cn> - 2.2.3-3
- KYOS-F: Fix the autostart failure (#20621,#21058)

* Tue Oct 10 2023 wangyucheng <wangyucheng@kylinsec.om.cn> - 2.2.3-2
- KYOS-F: fix(ButtonHandler): fix issue that program will stick when multi screen (#17107, #17108)

* Tue Aug 22 2023 yinhongchang <yinhongchang@kylinsec.com.cn> - 2.2.3-1
- KYOS-F:add some translation(#67661)
- KYOS-F:add windows capture mode

* Thu Aug 04 2022 luoqing <luoqing@kylinsec.com.cn> - 2.2.2-2
- KYOS-F: Modify license
- KYOS-F: Add yaml file 

* Thu Aug 04 2022 luoqing <luoqing@kylinsec.com.cn> - 2.2.2-1
- KYOS-B: To modify settings, the undo button is turned on by default and the redo last modification button is turned off (#I5IFM8)
- KYOS-B: Fix launcher theme colors and translations  (#I5GYNH)
- KYOS-B: Temporarily specify the color of the option menu of the screenshot interface under the dark theme (#I5IBR3)

* Wed Jan 26 2022 longcheng <longcheng@kylinos.com.cn> - 2.2.1-1.kb2
- KYOS-B: fix compilation errors on OpenEuler 

* Tue Jan 04 2022 pengyulong <pengyulong@kylinos.com.cn> - 2.2.1-1.kb1
- KYOS-F: Fix the blur tool display color and brush size modification bar.(#47629)
- KYOS-F: Change all file permissions to 0644, and sort out and classify all files.(#47629)
- Updated to version 2.2.1.

* Wed Dec 29 2021 kpkg <kpkg@kylinos.com.cn> - 0.6.0-5.kb1
- rebuild for KY3.4-MATE-modules-dev

* Wed Dec 29 2021 caoyuanji<caoyuanji@kylinos.com.cn> - 0.6.0-5
- Upgrade version number for easy upgrade

* Tue Dec 21 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 0.6.0-4.kb12
- rebuild for KY3.4-4-KiranUI-2.2

* Tue Dec 21 2021 caoyuanji <caoyuanji@kylinos.com.cn> - 0.6.0-4.kb11
- rebuild for KY3.4-4-KiranUI-2.2

* Wed Apr 21 2021 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb10
- KYOS-B: Repair toolbar tools do not display problems and the resulting edge overlay problem.
- Related: #29508

* Fri Dec 11 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb9
- KYOS-B: Optimize toolbar, add toolbar function, optimize line size and color selection.
- Related: #29508

* Fri Oct 30 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb8
- KYOS-F: Fix the drawing tool bug and optimize the toolbar as a whole.
- Related: #29508

* Tue Oct 20 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb7
- KYOS-F: Optimize detail zoom functionadd and add cross dashed line.
- Related: #29508

* Sat Oct 17 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb6
- KYOS-F: change some translation files and Optimize toolbar
- Related: #29508

* Thu Sep 24 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb5
- KYOS-F: add marco and fcitx-qt5 requires, Related #29508

* Thu Sep 24 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb4
- KYOS-F: Update translation.
- KYOS-F: change tray icon prompt text.
- Related #29508

* Wed Sep 23 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb3
- KYOS-F: Update translation add save option setting function.
- KYOS-B: fix save option error.
- Related #29508

* Tue Sep 22 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb2
- KYOS-F: change file name.
- KYOS-B: fix super key error.
- Related #29508

* Tue Sep 22 2020 pengyulong <pengyulong@kylinos.com.cn> - 0.6.0-4.kb1
- KYOS-F: add some new features, Related #29508
- KYOS-F: Add detail zoom function, Related #29577
- KYOS-F: Add save location, save method and save format selection, Related #29576
- KYOS-P: Modify application picture.
- KYOS-B：Optimize the UI interface and modify the application name, Related #29572

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 2019 Vitaly Zaitsev <vitaly@easycoding.org> - 0.6.0-3
- Added missing runtime requirements (rhbz#1724679).

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Aug 26 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.6.0-1
- Updated to version 0.6.0.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Feb 24 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.5.1-1
- Updated to version 0.5.1.

* Mon Jan 08 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.5.0-2
- Minor SPEC fixes.

* Sat Jan 06 2018 Vitaly Zaitsev <vitaly@easycoding.org> - 0.5.0-1
- Initial SPEC release.
